Donate to e Foundation | Murena handsets with /e/OS | Own a part of Murena! Learn more

Commit 6532c3ac authored by Vincent Bourgmayer's avatar Vincent Bourgmayer
Browse files

delete get-from-ecloud.sh & wrapper.sh

parent c331fcd4
Loading
Loading
Loading
Loading

linux/get-from-ecloud.sh

deleted100755 → 0
+0 −77
Original line number Diff line number Diff line
#!/bin/bash

# Copyright (C) 2019 ECORP SAS - Author: Romain Hunault
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# Parameter
# $1: ARCHIVE_URL
# $2: FOLDER (will be created if doesn't exist)

# Exit status
# - 0 : archive downloaded
# - 1 : Generic error code (see wget exit status here: https://www.gnu.org/software/wget/manual/html_node/Exit-Status.html)
# - 2 : Parse error—for instance, when parsing command-line options, the ‘.wgetrc’ or ‘.netrc’... (see wget exit status here: https://www.gnu.org/software/wget/manual/html_node/Exit-Status.html)
# - 3 : File I/O error (see wget exit status here: https://www.gnu.org/software/wget/manual/html_node/Exit-Status.html)
# - 4 : Network failure (see wget exit status here: https://www.gnu.org/software/wget/manual/html_node/Exit-Status.html)
# - 5 : SSL verification failure (see wget exit status here: https://www.gnu.org/software/wget/manual/html_node/Exit-Status.html)
# - 6 : Username/password authentication failure (see wget exit status here: https://www.gnu.org/software/wget/manual/html_node/Exit-Status.html)
# - 7 : Protocol errors (see wget exit status here: https://www.gnu.org/software/wget/manual/html_node/Exit-Status.html)
# - 8 : Server issued an error response (see wget exit status here: https://www.gnu.org/software/wget/manual/html_node/Exit-Status.html)
# - 10: No internet connection
# - 11: Invalid file downloaded
# - 101 : ARCHIVE_URL missing
# - 102 : FOLDER missing

ARCHIVE_URL=$1
FOLDER=$2


if ! curl -s -IL https://gitlab.e.foundation | grep -q "^HTTP\/2 200"
then
  exit 10
fi

if [ -z ${FOLDER} ]
then
  exit 101
fi

if [ -z ${ARCHIVE_URL} ]
then
  exit 102
fi

mkdir -p ${FOLDER}
FILENAME=$(basename ${ARCHIVE_URL})
wget -O ${FOLDER}/${FILENAME}.sha256sum ${ARCHIVE_URL}.sha256sum
FOLDER_ESCAPED=$(echo ${FOLDER} | sed 's/\/$//' | sed 's/\//\\\//g')
sed -i 's/\(.*\)  \(.*\)/\1 '${FOLDER_ESCAPED}'\/\2/' ${FOLDER}/${FILENAME}.sha256sum

sha256sum -c ${FOLDER}/${FILENAME}.sha256sum
SUM_OK=$?
if [ ${SUM_OK} = 0 ]
then
  exit 0
fi

wget -O ${FOLDER}/${FILENAME} ${ARCHIVE_URL}

sha256sum -c ${FOLDER}/${FILENAME}.sha256sum
SUM_OK=$?
if [ ${SUM_OK} != 0 ]
then
  rm ${FILENAME}
  exit 11
fi

linux/wrapper.sh

deleted100755 → 0
+0 −32
Original line number Diff line number Diff line
#!/bin/sh
# Copyright (C) 2020 ECORP SAS - Author: Vincent Bourgmayer
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# This a wrapper for linux flash's scripts.

STEP="$1.sh"
SCRIPT_FOLDER="./"

if [ -z $1 ]
then 
	echo "Exit: No script to execute passed in param"
	exit 1
fi

shift

echo "command to perform is: . $SCRIPT_FOLDER$STEP $@"
$SCRIPT_FOLDER$STEP "$@"
exit $?
 No newline at end of file